## Tcl8.6.2/Tk8.6.2 Documentation > Tk C API, version 8.6.2 > ttk_Theme

### Tcl/Tk Applications | Tcl Commands | Tk Commands | [incr Tcl] Package Commands | SQLite3 Package Commands | TDBC Package Commands | tdbc::mysql Package Commands | tdbc::odbc Package Commands | tdbc::postgres Package Commands | tdbc::sqlite3 Package Commands | Thread Package Commands | Tcl C API | Tk C API | [incr Tcl] Package C API | TDBC Package C API

### NAME

Ttk_CreateTheme, Ttk_GetTheme, Ttk_GetDefaultTheme, Ttk_GetCurrentTheme — create and use Tk themes.

### SYNOPSIS

Ttk_Theme Ttk_CreateTheme(interp, name, parentTheme);
Ttk_Theme Ttk_GetTheme(interp, name);
Ttk_Theme Ttk_GetDefaultTheme(interp);
Ttk_Theme Ttk_GetCurrentTheme(interp);

### ARGUMENTS

Tcl_Interp * interp (in)
  The Tcl interpreter in which to register/query available themes.

Ttk_Theme parentTheme (in)
  Fallback or parent theme from which the new theme will inherit elements and layouts.

const char * name (in)
  The name of the theme.

### DESCRIPTION

### SEE ALSO

Ttk_RegisterLayout, Ttk_BuildLayout
Copyright © 2003 Joe English